Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1686802 (CVE-2019-9631) - CVE-2019-9631 poppler: heap-based buffer over-read in function downsample_row_box_filter in CairoRescaleBox.cc
Summary: CVE-2019-9631 poppler: heap-based buffer over-read in function downsample_row...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-9631
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1686803 1688417 1688418 1717866
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-08 10:54 UTC by Dhananjay Arunesh
Modified: 2021-02-16 22:17 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:22:06 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2022 0 None None None 2019-08-06 12:03:05 UTC
Red Hat Product Errata RHSA-2019:2713 0 None None None 2019-09-11 09:33:24 UTC

Description Dhananjay Arunesh 2019-03-08 10:54:32 UTC
Poppler 0.74.0 has a heap-based buffer over-read in the CairoRescaleBox.cc downsample_row_box_filter function.

Reference:
https://gitlab.freedesktop.org/poppler/poppler/issues/736

Comment 1 Dhananjay Arunesh 2019-03-08 10:55:04 UTC
Created poppler tracking bugs for this issue:

Affects: fedora-all [bug 1686803]

Comment 7 Stefan Cornelius 2019-03-13 17:21:29 UTC
Statement:

This issue affects the versions of poppler as shipped with Red Hat Enterprise Linux 6 and 7.

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Low, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 9 errata-xmlrpc 2019-08-06 12:03:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2022 https://access.redhat.com/errata/RHSA-2019:2022

Comment 10 Product Security DevOps Team 2019-08-06 13:22:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-9631

Comment 11 errata-xmlrpc 2019-09-11 09:33:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:2713 https://access.redhat.com/errata/RHSA-2019:2713


Note You need to log in before you can comment on or make changes to this bug.